Index: /trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 256)
+++ /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 257)
@@ -46,4 +46,5 @@
 if (isset($_GET['vismf'])) $vismf=intval($_GET['vismf']); else $vismf=0;
 if (isset($_GET['sg'])) $sg=intval($_GET['sg']); else $sg=0;
+if (isset($_GET['disgiunto'])) $disgiunto=intval($_GET['disgiunto']); else $disgiunto=0;
 
 $offset=15;
@@ -56,5 +57,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto;
 $aid=$_SESSION['aid'];
 $dbi=$_SESSION['dbi'];
@@ -133,4 +134,5 @@
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
+	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
 #	echo "<input type=\"hidden\" name=\"pag_cons\" value=\"admin.php?op=associazioni&amp;id_cons_gen=\">";
 	echo "</tr>";
@@ -211,6 +213,6 @@
 	}
 	unset($sel);
-	$rescomu = mysql_query("SELECT vismf,solo_gruppo from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
-	list($vismf,$sg)=mysql_fetch_row($rescomu);
+	$rescomu = mysql_query("SELECT vismf,solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+	list($vismf,$sg,$disgiunto)=mysql_fetch_row($rescomu);
 	echo "<td><select name=\"vismf\">";
 	if ($vismf==0) $sel="selected"; else $sel="";
@@ -225,5 +227,11 @@
 	echo "<option value=\"1\" $sel>Si";
 	echo "</select></td>";
-
+	echo "<td><select name=\"disgiunto\">";
+	if ($disgiunto==0) $sel="selected"; else $sel="";
+	echo "<option value=\"0\" $sel>No";
+	if ($disgiunto==1) $sel="selected"; else $sel="";
+	echo "<option value=\"1\" $sel>Si";
+	echo "</select></td>";
+	
 	echo "<td><input type=\"hidden\" name=\"ok\" value=0>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
@@ -311,5 +319,5 @@
 
 function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf,$preferenze) {
-	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4,$idfascia,$vismf,$sg;
+	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4,$idfascia,$vismf,$sg,$disgiunto;
 	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
@@ -318,5 +326,5 @@
 			list($delcons)=mysql_fetch_row($rescomu);
 			if (!$max){			//se no la inserisce
-			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo,disgiunto) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg','$disgiunto')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
 		list($id_cons_comu)=mysql_fetch_row($rescomu);
@@ -332,5 +340,5 @@
 			$result = mysql_query("update ".$prefix."_ele_comu_collegi set id_collegio= '$id_collegio' $newid where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi) || die(mysql_error());
 			if (!$result) return;
-			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
+			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg',disgiunto='$disgiunto' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "add") {
Index: /trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_confcons.php	(revision 256)
+++ /trunk/admin/modules/Elezioni/ele_confcons.php	(revision 257)
@@ -48,6 +48,6 @@
 if (isset($param['supminpremio'])) get_magic_quotes_gpc() ? $supminpremio=$param['supminpremio']:$supminpremio=addslashes($param['supminpremio']); else $supminpremio='';
 if (isset($param['listsupconta'])) get_magic_quotes_gpc() ? $listsupconta=$param['listsupconta']:$listsupconta=addslashes($param['listsupconta']); else $listsupconta='';
-if (isset($param['infdisgiunto'])) get_magic_quotes_gpc() ? $infdisgiunto=$param['infdisgiunto']:$infdisgiunto=addslashes($param['infdisgiunto']); else $infdisgiunto='';
-if (isset($param['supdisgiunto'])) get_magic_quotes_gpc() ? $supdisgiunto=$param['supdisgiunto']:$supdisgiunto=addslashes($param['supdisgiunto']); else $supdisgiunto='';
+#if (isset($param['infdisgiunto'])) get_magic_quotes_gpc() ? $infdisgiunto=$param['infdisgiunto']:$infdisgiunto=addslashes($param['infdisgiunto']); else $infdisgiunto='';
+#if (isset($param['supdisgiunto'])) get_magic_quotes_gpc() ? $supdisgiunto=$param['supdisgiunto']:$supdisgiunto=addslashes($param['supdisgiunto']); else $supdisgiunto='';
 if (isset($param['help'])) $help=intval($param['help']);
 
@@ -77,5 +77,5 @@
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
 	}else{
-	$gru['id_conf']=$nuovo_gruppo;$gru['descrizione']='';$gru['limite']='';$gru['consin']='';$gru['infpremio']='';$gru['listinfsbar']='';$gru['listinfconta']='';$gru['supminpremio']='';$gru['infminpremio']='';$gru['suppremio']='';$gru['supsbarramento']='';$gru['listsupconta']='';$gru['infdisgiunto']='';$gru['supdisgiunto']='';
+	$gru['id_conf']=$nuovo_gruppo;$gru['descrizione']='';$gru['limite']='';$gru['consin']='';$gru['infpremio']='';$gru['listinfsbar']='';$gru['listinfconta']='';$gru['supminpremio']='';$gru['infminpremio']='';$gru['suppremio']='';$gru['supsbarramento']='';$gru['listsupconta']='';
 	echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
 	}
@@ -94,7 +94,5 @@
 	echo "<td align=\"center\"><b>"._CONSIN."</b></td><td><select name=\"consin\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
 	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_MAGGIORITARIO."</b></td></tr>";
-	$sel= ($gru['infdisgiunto']==1) ? "selected":"";
-	echo "<tr><td align=\"center\"><b>"._DISGIUNTO."</b></td><td><select name=\"infdisgiunto\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
-	."<tr><td align=\"center\"><b>"._INFPREMIO."</b></td><td><input type=\"text\" name=\"infpremio\" value=\"".$gru['infpremio']."\"></td>"
+	echo "<tr><td align=\"center\"><b>"._INFPREMIO."</b></td><td><input type=\"text\" name=\"infpremio\" value=\"".$gru['infpremio']."\"></td>"
 	."<td align=\"center\"><b>"._LISTINFSBAR."</b></td><td><input type=\"text\" name=\"listinfsbar\" value=\"".$gru['listinfsbar']."\"></td></tr>"
 	."<tr><td align=\"center\"><b>"._INFMINPREMIO."</b></td><td><input type=\"text\" name=\"infminpremio\" value=\"".$gru['infminpremio']."\"></td>";
@@ -102,7 +100,5 @@
 	echo"<td align=\"center\"><b>"._LISTINFCONTA."</b></td><td><select name=\"listinfconta\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
 	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_PROPORZIONALE."</b></td></tr>";
-	$sel= ($gru['supdisgiunto']==1) ? "selected":"";
-	echo "<tr><td align=\"center\"><b>"._DISGIUNTO."</b></td><td><select name=\"supdisgiunto\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
-	."<tr><td align=\"center\"><b>"._SUPPREMIO."</b></td><td><input type=\"text\" name=\"suppremio\" value=\"".$gru['suppremio']."\"></td>"
+	echo "<tr><td align=\"center\"><b>"._SUPPREMIO."</b></td><td><input type=\"text\" name=\"suppremio\" value=\"".$gru['suppremio']."\"></td>"
 	."<td align=\"center\"><b>"._SUPSBAR."</b></td><td><input type=\"text\" name=\"supsbarramento\" value=\"".$gru['supsbarramento']."\"></td></tr>"
 	."<tr><td align=\"center\"><b>"._SUPMINPREMIO."</b></td><td><input type=\"text\" name=\"supminpremio\" value=\"".$gru['supminpremio']."\"></td>";
@@ -123,5 +119,5 @@
 	$max = mysql_num_rows($res);
 	$result = mysql_query("select * from ".$prefix."_ele_conf ORDER BY id_conf  LIMIT $min,$offset", $dbi);
-	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta, $infdisgiunto, $supdisgiunto) = mysql_fetch_row($result)) {
+	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta) = mysql_fetch_row($result)) {
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"center\"><b>$id_conf</b></td>"
@@ -173,5 +169,5 @@
 
 function confcons($ok, $do) {
-	global $prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min,$id_conf,$descrizione, $limite,$consin,$infpremio,$listinfsbar,$infminpremio,$listinfconta,$supsbarramento,$suppremio,$supminpremio,$listsupconta,$infdisgiunto,$supdisgiunto;
+	global $prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min,$id_conf,$descrizione, $limite,$consin,$infpremio,$listinfsbar,$infminpremio,$listinfconta,$supsbarramento,$suppremio,$supminpremio,$listsupconta;
 	$aid=$_SESSION['aid'];
 	$perms=ChiSei($id_cons_gen);
@@ -190,5 +186,5 @@
       			if ($descrizione) {
 				$sqlset='';
-      				$result = mysql_query("insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio,infdisgiunto,supdisgiunto) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio','$infdisgiunto','$supdisgiunto')", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+      				$result = mysql_query("insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio')", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
            			if (!$result) return;
            			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
@@ -201,5 +197,5 @@
      			}
    		} elseif ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio',infdisgiunto='$infdisgiunto',supdisgiunto='$supdisgiunto' where id_conf='$id_conf' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+			$result = mysql_query("update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio' where id_conf='$id_conf' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
 			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
    		}
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 256)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 257)
@@ -170,5 +170,5 @@
 					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista,$sololista)=mysql_fetch_row($res4);
 					if($validi>0) {
-						if (($validi+$nulli+$bianchi+$contestati+$votinulli+$sololista)==$voti)
+						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
 							{$status=2;$ops=(-4+$votog);$val=1;}
 						else {$val=-1;$stret=(4-$votog);}
@@ -187,5 +187,5 @@
 #					list($votigs)=mysql_fetch_row($res4);
 					if($votigs>0) {
-						if (($votigs)==$validi)
+						if (($votigs+$sololista)==$validi)
 							{$status=3;$ops=-3;$gru=1;}
 						else {$gru=-1; $stret=4;}
@@ -195,6 +195,6 @@
 		}#else {$gru=1;echo "--$votigs -- $votog";}
 		if(($genere>1 and !$votol)){#$status=0;
-		$res4= mysql_query("SELECT t1.preferenze,t1.id_fascia,t2.limite FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf as t2 on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'", $dbi);
-		if($res4) list($testpref,$fascia,$limite)=mysql_fetch_row($res4); else {$testpref=0;$fascia=0;$limite=0;}
+		$res4= mysql_query("SELECT t1.preferenze,t1.id_fascia,t2.limite,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf as t2 on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'", $dbi);
+		if($res4) list($testpref,$fascia,$limite,$disgiunto)=mysql_fetch_row($res4); else {$testpref=0;$fascia=0;$limite=0;}
 
 		#controllo congruenza voti di lista
@@ -209,6 +209,11 @@
 					$sezscru=mysql_num_rows($res4);
 			if($sezscru) {
-					if($genere==4 or $votog) $contrlis= ($validilista==$validi) ? 1:0;
-					else $contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista-$sololista)==$validi ? 1:0;
+					if($genere==4 or $votog) $contrlis= ($validilista+$sologruppo==$validi) ? 1:0;
+#################					
+				    else {$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
+if($contrlis and $disgiunto) $contrlis=$votinullilista==$sololista ? 1:0;
+}
+#################	
+					
 					if((($contrlis) and $validilista==$votils) or ($fascia<=$limite and $fascia)) {$status=4;$lis=1;$ops=-4;}
 					elseif($sezscru) {$stret=3;$lis=-1;}
@@ -540,6 +545,6 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
-$result = mysql_query("SELECT preferenze, id_fascia, id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
-list($numprefs,$fascia,$id_conf)=mysql_fetch_row($result);
+$result = mysql_query("SELECT preferenze, id_fascia, id_conf, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
+list($numprefs,$fascia,$id_conf,$disgiunto)=mysql_fetch_row($result);
 ####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
 if ($circo and $id_lista){
@@ -560,5 +565,5 @@
 		$ele_lista='';
 		if (($genere==4 or $genere==5) and !$votoc) { //liste a piu' candidati
-			if(($genere==5 and $fascia<=$limite and $id_conf) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
+			if(($genere==5 and $id_conf and $fascia<=$limite and !$disgiunto) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
 				$result = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1",$dbi);
 				list($id_lista)=mysql_fetch_row($result);
@@ -583,5 +588,5 @@
 			$result = mysql_query("SELECT sum(t1.voti),0,0 from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_rif",$dbi);
 			list($votisezcand)=mysql_fetch_row($result);
-			if(($fascia>$limite or !$id_conf) or $genere==4)
+			if((($fascia>$limite or $disgiunto) or !$id_conf) or $genere==4)
                 $result = mysql_query("SELECT voti,nulli_lista,0 from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
             else{
@@ -619,7 +624,7 @@
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,0,t1.nulli_lista from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
 	else
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
-
-// aggiunte le variabili $sgpl e $vnpl per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perch\E9 nullo o contestato quello di lista		
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,solo_lista,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
+
+// aggiunte le variabili $sgpl e $vnpl per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perché nullo o contestato quello di lista		
 		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2,$bia2,$nul2,$con2,$vnul2,$sgpl,$vnpl) = mysql_fetch_row($result);
 		$valista=$validi2;
@@ -637,5 +642,5 @@
 			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_lista",$dbi);
 			list($votisezcand)=mysql_fetch_row($result);
-			if($fascia>$limite or !$id_conf)
+			if(($fascia>$limite or $disgiunto) or !$id_conf)
                  $result = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_lista'", $dbi);
             else{
@@ -748,5 +753,5 @@
 		// toglie ai candidati la visual... del solo_gruppo 
 		if(!$votog) {
-		   if (($genere==3 OR $genere==5) and (!$id_lista) and ($fascia>$limite or !$id_conf)) { //gruppo e liste
+		   if (($genere==3 OR $genere==5) and (!$id_lista) and (($disgiunto or $fascia>$limite) or !$id_conf)) { //gruppo e liste
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._VALIDI_LISTA."</b></td><td align=\"center\"><input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"><input name=\"valista\" value=\"$valista\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\"></td></tr>";
@@ -754,5 +759,5 @@
 	."</td></tr><tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._CONTESTATI_LISTE."</b></td><td align=\"center\"><input  name=\"contestati\" value=\"$contestati\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			
-		   }elseif (($genere==3 OR $genere==5) and !$votoc and ($fascia>$limite or !$id_conf)){ //}elseif ($tipo_cons!=10 and $tipo_cons!=11){
+		   }elseif (($genere==3 OR $genere==5) and !$votoc and (($disgiunto or $fascia>$limite) or !$id_conf)){ //}elseif ($tipo_cons!=10 and $tipo_cons!=11){
 			echo "<tr bgcolor=\"$bgcolor1\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\">$sg</td></tr>";
 		   }
@@ -821,5 +826,5 @@
 		$condizione="id_lista";
 	}
-	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and ($fascia>$limite or !$id_conf)) $y = (count($arg)-4);
+	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and (($disgiunto or $fascia>$limite) or !$id_conf)) $y = (count($arg)-4);
 	else $y=count($arg);#die ("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'");
 	mysql_query("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
@@ -833,5 +838,5 @@
 	for($i=8,$y--;$i< $y;$i++) {		
 		$voti = intval($arg[$i++]);
-		if($dettnulli and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {$vnriga=''; if ($condizione=="id_lista") $vnrigains=",''"; else $vnrigains="";}
+		if($dettnulli and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {$vnriga=''; if ($condizione=="id_lista") $vnrigains=",'0'"; else $vnrigains="";}
 		$id_cand = intval($arg[$i]); 
 		$result = mysql_query("select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'", $dbi);
@@ -855,5 +860,5 @@
 
 	if(!$votog) {
-	   if ((($genere==3) OR ($genere==5)) and !$id_lista and ($fascia>$limite or !$id_conf)) {
+	   if ((($genere==3) OR ($genere==5)) and !$id_lista and (($disgiunto or $fascia>$limite) or !$id_conf)) {
 			$valista=$arg[$i++]; 
 			$result = mysql_query("update ".$prefix."_ele_sezioni set solo_gruppo='".$arg[$i]."' where id_sez='$id_sez'",$dbi);
@@ -1105,5 +1110,5 @@
     list($id_cons2,$id_sez2,$validi, $nulli, $bianchi, $contestati,$votinulli,$sg,$conts,$nullis,$sololista) = mysql_fetch_row($result);
     $tot_nulli=$nulli+$bianchi+$contestati+$votinulli;
-    $tot_voti=$validi+$tot_nulli+$sg+$conts+$nullis+$sololista;
+    $tot_voti=$validi+$tot_nulli+$conts+$nullis;
 //	."</td><td><input  name=\"sololista\" value=\"$sololista\" size=\"5\" style=\"text-align:right\">" ---     ."<td><b>"._SOLOLIS."</b></td>"
 
@@ -1176,20 +1181,23 @@
    $tot_voti=$validi+$nulli+$bianchi+$contestati+$votinulli;
 $sololista=$voti_t-$tot_voti;
+	$result= mysql_query("select disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+	list($disgiunto)=mysql_fetch_row($result);
 	$result= mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 	$ar=mysql_fetch_array($result);
-	if ($ar['solo_lista'] or !isdisgiunto()) $rigasl=''; else $rigasl=", solo_lista='$sololista'";
+	$validilista=$validi-$ar['solo_gruppo'];
+	if ($ar['solo_lista'] or !$disgiunto) $rigasl=''; else $rigasl=", solo_lista='$sololista'";
 #die("qui: if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and $votog){");
 	if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
-	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] contestati_lista:$ar[15]  voti_nulli_lista:$ar[16]','validi_lista=$validi, nulli=$nulli,bianchi=$bianchi,contestati_lista=$contestati,voti_nulli_lista=$votinulli','_ele_sezioni')", $dbi);	
+	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] contestati_lista:$ar[15]  voti_nulli_lista:$ar[16]','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi,contestati_lista=$contestati,voti_nulli_lista=$votinulli','_ele_sezioni')", $dbi);	
 
 /*		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez';\n"); */
 		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez';\n");
+		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validilista', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez';\n");
 	}else{
  	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')", $dbi);	
 	$valista="";
 	if ($ar['validi_lista']){ 
-	  $tvalista=$validi-$ar['solo_gruppo']-$ar['voti_nulli_lista']-$ar['contestati_lista']+$ar['solo_lista'];
+	  $tvalista=$validi-$ar['solo_gruppo']-$ar['voti_nulli_lista']-$ar['contestati_lista'];
 	  $valista=",validi_lista='$tvalista'";
 	}
@@ -1264,10 +1272,10 @@
         $res = mysql_query("SELECT validi,nulli,bianchi,contestati,solo_lista,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
     	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = mysql_fetch_row($res);
-		if ($voti_parz!=$validi and $voti_parz>0){
-			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".$validi."</b><br></td>";
+		if ($voti_parz!=($validi-$solo_lista) and $voti_parz>0){
+			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td>";
     	}
 		$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 		list($tot) = mysql_fetch_row($res2);
-		if ($validi+$nulli+$bianchi+$contestati+$votinulli+$solo_lista!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
+		if ($validi+$nulli+$bianchi+$contestati+$votinulli!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
 			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
     	}
@@ -1360,8 +1368,10 @@
    }
 	if ($genere!=0) {
+		$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+		list($disgiunto)=mysql_fetch_row($res);
 		$res = mysql_query("SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ", $dbi);
 		list($sololis)=mysql_fetch_row($res);
 		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td></tr>";
-		if(isdisgiunto())
+		if($disgiunto)
 			echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._SOLOLIS."</td><td><input  name=\"sololista\" value=\"".$sololis."\" size=\"7\"  style=\"text-align:right\"></td></tr>";
 	}
@@ -1420,5 +1430,7 @@
 	$tab="_ele_voti_gruppo";
 	$y--;
-	if(isdisgiunto())
+	$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+	list($disgiunto)=mysql_fetch_row($res);
+	if($disgiunto)
 		$res=mysql_query("update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'", $dbi);
 
Index: /trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 256)
+++ /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 257)
@@ -188,5 +188,5 @@
 define("_LINGUA","Language");
 define("_FASCIA","Citizens");
-define("_TUTTESEDI","All electoral centers");
+define("_TUTTESEDI","All polling stations");
 define("_ATT_VOTI","Warning! ballots");
 define("_ATT_VOTANTI","Warning! voters");
@@ -270,12 +270,12 @@
 define("_COMUNE","City");
 define("_VIS_PERC","Show percentages");
-define("_SEZIONE","Section");
-define("_SEZIONI","Sections");
+define("_SEZIONE","Polling station");
+define("_SEZIONI","Polling Stations");
 define("_UOMINI","Men");
 define("_DONNE","Women");
 define("_COMPLESSIVI","in total");
 define("_VOTIE","Express ballots");
-define("_SEZNOS","Sections to be Counted");
-define("_SEZSCR","Counted Sections");
+define("_SEZNOS","Polling Stations to be Counted");
+define("_SEZSCR","Counted Polling Stations");
 define("_LISTA","List");
 define("_PREFLISTA","Ballots to the list");
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 256)
+++ /trunk/admin/versione.php	(revision 257)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 255";
+$versione = "2.0 rev 257";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 15 aprile 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 28 aprile 2017</i>)";
 
 ?> 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 256)
+++ /trunk/client/versione.php	(revision 257)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 256";
+$versione = "2.0 rev 257";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 15 aprile 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 28 aprile 2017</i>)";
 
 
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 256)
+++ /trunk/install/sql/eleonline.sql	(revision 257)
@@ -361,4 +361,5 @@
   `vismf` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
   `solo_gruppo` enum('0', '1') NOT NULL default '0',
+  `disgiunto` enum('0', '1') NOT NULL default '0',
   PRIMARY KEY  (`id_cons`),
   UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`)
Index: /trunk/sql/aggiornamento-2.0_2017-04-28.sql
===================================================================
--- /trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 257)
+++ /trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 257)
@@ -0,0 +1,1 @@
+ALTER TABLE `soraldo_ele_cons_comune` ADD COLUMN `disgiunto` enum('0', '1') NOT NULL default '0';
